#!/bin/sh

#SOURCE: tp://ftp.gnome.org/pub/GNOME/sources/
#MAINTAINER: Sebastian Jauch

CWD=`pwd`
SOFT=gnome-mime-data

PKG=/tmp/package-$SOFT

VERSION=2.18.0
ARCH=i486
BUILD=48.1
SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf $SOFT-$VERSION
tar xjvf $CWD/$SOFT-$VERSION.tar.bz2
cd $SOFT-$VERSION
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  $ARCH-slackware-linux


make
make install DESTDIR=$PKG
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mv $PKG/usr/share/doc $PKG/usr


mkdir -p $PKG/usr/src/$SOFT-$VERSION
cp $CWD/build-$SOFT.sh $PKG/usr/src/$SOFT-$VERSION

mkdir -p $PKG/install
#
# make a slack-desc file
#
cat <<"EOF" > $PKG/install/slack-desc
               |-----handy-ruler-----------------------------------|
gnome-mime-data: gnome-mime-data
gnome-mime-data:
gnome-mime-data: The GNOME MIME database contains a basic set of applications and MIME
gnome-mime-data: types for a GNOME system.
gnome-mime-data:
gnome-mime-data:
gnome-mime-data:
gnome-mime-data:
gnome-mime-data:
gnome-mime-data:
gnome-mime-data:
EOF

cd $PKG
makepkg -l y -c n ../$SOFT-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum $SOFT-$VERSION-$ARCH-$BUILD.tgz > $SOFT-$VERSION-$ARCH-$BUILD.md5
